# ColorSpace
Keywords: waveletCompression.colorSpace.ColorSpace interface

## waveletCompression.colorSpace
Interface ColorSpace

All Known Implementing Classes:
  ColorSpaceCMYK, ColorSpaceHSB, ColorSpaceRGB, ColorSpaceYCbCr

    public interface ColorSpace

Das ColorSpace-Interface bietet Zugriff auf verschiedene Farbraum-Implementierungen.

Author:
  Bettina Selig, Tilman Walther

Method Summary
`double[][][]` `fromRGB(int[][][] image)` Wandelt ein RGB-Bild in den Farbraum.
`java.lang.String` `getName()`
`java.lang.String` `getNameOfComponent(int i)`
`int` `getNumberOfComponents()` Gibt die Anzahl der Komponenten im Farbraum zurück.
`int[][][]` `toRGB(double[][][] image)` Wandelt ein Bild aus dem Farbraum nach RGB.

Method Detail

### getName

    java.lang.String getName()

  Returns:
    der Name des Farbraums

### getNumberOfComponents

    int getNumberOfComponents()

  Gibt die Anzahl der Komponenten im Farbraum zurück. Also z.B. 3 für RGB und 4 für CMYK.

  Returns:
    die Anzahl der Komponenten im Farbraum

### getNameOfComponent

    java.lang.String getNameOfComponent(int i)

  Parameters:
    `i` - Nr. der Farbkomponente
  Returns:
    den Namen der Komponente Nr. i

### fromRGB

    double[][][] fromRGB(int[][][] image)

  Wandelt ein RGB-Bild in den Farbraum.

  Parameters:
    `image` - ein Bild mit RGB-Werten
  Returns:
    das Bild im Farbraum

### toRGB

    int[][][] toRGB(double[][][] image)

  Wandelt ein Bild aus dem Farbraum nach RGB.

  Parameters:
    `image` - ein Bild im Farbraum
  Returns:
    das Bild als RGB-Repräsentation